DEPRECATED: Use GET /rest-api/action/id/{id} instead.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/campaign/{campaignId}/action/id/{id}.do
DEPRECATED: Use GET /rest-api/action/id/{id} instead. Returns a single conversion action identified by its numeric ID within the context of a specific campaign. The campaignId is used to compute the action key included in the response (derived from advertiser ID + campaign ID + action ID). Returns 404 if no action exists with the given ID or it is deleted. Requires authentication.
Path Params
campaignIdintegerrequired
The numeric ID of the campaign. Used to compute the action key in the response.
2001
idintegerrequired
The numeric ID of the action to retrieve.
301
Responses
200
Action object with key, id, name, and conversion time frame settings
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/campaign/2001/action/id/301.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());